Subject: bug#56967: 29.0.50; Frequent crashes under Wayland

From: Eli Zaretskii <[email-masked]>
Date: Thu, 04 Aug 2022 11:21:41 +0300

[Please use Reply All to reply, to keep the bug tracker on the CC.]

> From: Bjoern Bidar <[email-masked]>
> Date: Thu, 04 Aug 2022 11:05:00 +0300
> 
> The issue is that Emacs doesn't crash, it just exists with 1.
> 
> The recipe to reproduce the bug is to just use emacs and wait till it crashes.
> 
> I start emacs like this:
> # /home/user/.config/systemd/user/emacs.service
> 
> [Unit]
> Description=Emacs: the extensible, self-documenting text editor
> Wants=graphical.target
> Wants=environment.target
> 
> [Service]
> Type=forking
> ExecStart=/usr/bin/emacs --daemon
> ExecStop=/usr/bin/emacsclient --eval "(kill-emacs)"
> Environment=SSH_AUTH_SOCK=%t/keyring/ssh
> Environment=GDK_DPI_SCALE=2
> Environment=GDK_SCALE=2
> Restart=always
> TimeoutStartSec=0
> [Install]
> WantedBy=default.target
> 
> # /home/user/.config/systemd/user/emacs.service.d/override.conf
> [Service]
> TimeoutStopSec=600

Then please run Emacs under a debugger, or attach a debugger to it
after you start it, and place a breakpoint in the function
Fkill_emacs.  When that breakpoint breaks, produce a backtrace (with
the "thread apply all bt" command in GDB) and post that backtrace
here.

> I'm not sure if it helps but the most crashes I experienced when using irc 
> through circe.

It depends on what we will see in the backtrace.

Thanks.